	character*3 sta
	character*80 ligne
	real*8 x,y,z,dist	
	open(9,file='l1')
	read(9,*) ligne
	read(9,*) ligne
10	read(9,'(a3,3f15.3)', end=20) sta,x,y,z
	dist=sqrt(x*x+y*y+z*z)
	write (*,'(a3,f15.3)') sta,dist
	goto 10
20	 close(9)
	end	
